
import argparse

from sdsvkie.cfg import load_cfg
from sdsvkie.engine.trainer import Trainer

if __name__ == "__main__":
    parser = argparse.ArgumentParser()
    parser.add_argument("--cfg", type=str, default="sdsvkie/cfg/default.yaml")
    parser.add_argument("--device", type=str, default="cuda")
    parser.add_argument("--weights", type=str, default=None)
    

    args = parser.parse_args()
    cfg = load_cfg(args.cfg, vars(args))

    trainer = Trainer(cfg)
    metric = trainer.val()
    print(metric)

